linux下php环境的装配以及php storm的链接

linux下php环境的装配以及php storm的链接

本次安装在deepin系统下完成

一、安装LAMP组合

Linux+Apache+Mysql+php

直接命令

sudo apt-get install apache2
sudo apt-get install mysql-server
sudo apt-get install mysql-client
sudo apt-get install php5
sudo apt-get install php5-gd
sudo apt-get install php5-mysql

然后直接在浏览器测试

localhost 回车

看到显示it works!成功

在linux下就是这么简单粗暴

二、安装phpstorm IDE及其配置

在deepin的深度商店找到Phpstrom直接安装即可。

下载完后需要验证,本人因为是学生是通过学校的邮箱直接验证免费使用。

建一个工程,然后新建一个Php文件,然后配置一下

File->Settings->Languages & Frameworks ->PHP

看下图

图(一)

默认安装刚刚第一步php是在/usr/bin/php5

然后新建一个

如图所示

图(二)

然后确定OK

然后遇到了一个问题 运行后总是遇到 502 bad gateway .

下面会一直提示

a  没有配置好php interpreter(php的解析器)
php interpreter is not configured, please configure php interpre

然后后面又提示没有配置cgi

于是我们本着什么没有装什么的态度

又来一条命令

sudo aptitude install php5-cgi

然后重新启动phpstorm

然后在运行一下


(图三)

posted @ 2016-10-19 20:45  考拉小无  阅读(597)  评论(1编辑  收藏  举报